<configuration>

	<appender name="STDOUT"
		class="ch.qos.logback.core.ConsoleAppender">
		<!-- encoders are assigned the type ch.qos.logback.classic.encoder.PatternLayoutEncoder 
			by default -->
		<encoder>
			<pattern>%cyan(%d{HH:mm:ss.SSS}) %white([%thread]) %highlight(%-5level) %magenta(%logger{36}) - %msg%n
			</pattern>
		</encoder>
	</appender>

	<logger name="io.micronaut.http.client" level="DEBUG"/>
	<logger name="io.r2dbc.postgresql.QUERY" level="ERROR"/>
	<logger name="io.micronaut.data.query" level="WARN"/>
	<logger name="org.flywaydb" level="DEBUG"/>
	<logger name="org.flyway" level="DEBUG"/>
	<logger name="io.micronaut.flyway" level="DEBUG"/>
	<logger name="org.alerthub" level="DEBUG"/>
	<logger name="io.micronaut.security.authentication" level="DEBUG" />
	<logger name="io.r2dbc" level="INFO" />
	<logger name="io.r2dbc.postgresql.PARAM" level="WARN" />
	<logger name="io.r2dbc.postgresql.client.ReactorNettyClient" level="WARN" />
	<logger name="io.micronaut.security" level="INFO" />

	<root level="info">
		<appender-ref ref="STDOUT"/>
	</root>
</configuration>
